Package org.apache.calcite.avatica

# Class ColumnMetaData.StructType

java.lang.Object
org.apache.calcite.avatica.ColumnMetaData.AvaticaType
org.apache.calcite.avatica.ColumnMetaData.StructType

Enclosing class:
  ColumnMetaData

public static class ColumnMetaData.StructType extends ColumnMetaData.AvaticaType
Record type.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<ColumnMetaData>`
`columns`

### Fields inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`id, name, rep`

## Constructor Summary

Constructors
Constructor
Description
`StructType(List<ColumnMetaData> columns)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`org.apache.calcite.avatica.proto.Common.AvaticaType`
`toProto()`

### Methods inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`columnClassName, fromProto, getName, setRep`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### columns

public final List<ColumnMetaData> columns

## Constructor Details

### StructType

public StructType(List<ColumnMetaData> columns)

## Method Details

### toProto

public org.apache.calcite.avatica.proto.Common.AvaticaType toProto()

Overrides:
  `toProto` in class `ColumnMetaData.AvaticaType`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ColumnMetaData.AvaticaType`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `ColumnMetaData.AvaticaType`